Buteo::SyncOnChangeTimer Class Reference
Inheritance diagram for Buteo::SyncOnChangeTimer:

## Signals

void | timeout (const SyncProfile *aProfile)
| emit this signal when the timeout occurs

## Public Member Functions

| SyncOnChangeTimer (const SyncProfile *aProfile, const quint32 &aTimeout)
| constructor
| ~SyncOnChangeTimer ()
| destructor
void | fire ()
| fire the timer

## Member Function Documentation

## timeout

void Buteo::SyncOnChangeTimer::timeout | ( | const SyncProfile * | aProfile | ) |

signal

emit this signal when the timeout occurs

Parameters

  aProfile | sync profile

The documentation for this class was generated from the following files:

- SyncOnChangeScheduler.h
- SyncOnChangeScheduler.cpp